All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Interface FilterQualifierListInterface

All Known Implementing Classes:
  DefaultFilterQualifierList

    @SASScope(value="ALL")
    public interface FilterQualifierListInterface

This interface defines the mechanism for creating and maintaining a list of qualifiers within the filter model.

See Also:
  `FilterQualifierInterface`

Method Summary
`abstract java.util.List` | `getAdditionalQualifierLists()` This returns any secondary qualifier lists.
`abstract java.util.List` | `getFilterQualifierList()` This returns a list of qualfiers.
`abstract java.lang.String` | `getFilterQualifierListLabel()` This call returns the 'label' or user displayable name for this list of qualifiers.

Method Detail

### getFilterQualifierListLabel

    java.lang.String getFilterQualifierListLabel()

  This call returns the 'label' or user displayable name for this list of qualifiers. This might be the word 'Usage:' to be generic or it could be customized.

  Returns:
    the label for this list

### getFilterQualifierList

    java.util.List getFilterQualifierList()

  This returns a list of qualfiers. Only one may be selected. A null is returned if no qualifiers are supported.

  Returns:
    the list of qualifiers

### getAdditionalQualifierLists

    java.util.List getAdditionalQualifierLists()

  This returns any secondary qualifier lists. One value from each list may be selected. A null is returned if no additional qualifiers are supported.

  Returns:
    a list of any secondary qualifiers

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.